/*
 * File Archive Library
 * Copyright (C) 2000-2001 Patrizio Bruno <patrizio@dada.it>
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *    Read the file LICENSE for more.
 *
 */

/*
 * $Log: archive.h,v $
 * Revision 1.5  2001/05/16 16:08:17  rusty
 * *** empty log message ***
 *
 * Revision 1.4  2000/09/21 11:27:44  rusty
 *
 * bug fixes
 *
 * Revision 1.3  2000/09/20 14:10:22  rusty
 *
 * First working (basic) release
 *
 */

#ifndef	_ARCHIVE_H_
#define	_ARCHIVE_H_

#ifndef	TRUE
#	define	TRUE	1
#endif

#ifndef	FALSE
#	define	FALSE	0
#endif

void *far_end_create(FAR_INFO *, void *, size_t *);
FAR_INFO *far_scanpath(char *, char **, char *, int);
FAR_INFO *far_getpath_info(char *, char *, char *);
FAR_INFO *far_get_info(char *, char *);
void *far_build_archive(FAR_INFO *, size_t *);
void *far_append_file(FAR_INFO *, void *);
int far_set_link(FAR_INFO *);
size_t far_get_total_size(FAR_INFO *);
void far_free_infolist(FAR_INFO *);
void far_free_info(FAR_INFO *);
int far_regexp_select(const struct dirent *);
FAR_INFO *far_find_last(FAR_INFO *);
FAR_INFO *far_find_first(FAR_INFO *);
int far_info_count(FAR_INFO *);

#endif	/* _ARCHIVE_H_ */
